import csv
import sys

def parse_packets(pkt_id, pkt_mosi, pkt_miso):
    if pkt_id == -1: return
    #print pkt_id, repr(pkt_mosi), repr(pkt_miso)
    if pkt_mosi[0] == "0xA0":
        print " ".join(pkt_mosi[1:]).lower()
    if pkt_miso[0] == "0xA0":
        print " ".join(pkt_miso[1:]).lower()

with open(sys.argv[1], 'rb') as csvfile:
    logic_data = csv.reader(csvfile, delimiter=',')
    mosi_data = []
    miso_data = []
    data_id = -1
    for row in logic_data:
        pkt_time, pkt_id, pkt_mosi, pkt_miso = row
        if pkt_id != data_id:
            parse_packets(data_id, mosi_data, miso_data)
            mosi_data = []
            miso_data = []
            data_id = pkt_id
        mosi_data.append(pkt_mosi)
        miso_data.append(pkt_miso)
        
